summaryrefslogtreecommitdiff
path: root/ds9/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ds9/build.sh')
-rw-r--r--ds9/build.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/ds9/build.sh b/ds9/build.sh
new file mode 100644
index 0000000..f2fe0a5
--- /dev/null
+++ b/ds9/build.sh
@@ -0,0 +1,20 @@
+
+case "$(uname)" in
+Linux)
+LDFLAGS='-m64'
+;;
+Darwin)
+LDFLAGS='-arch x86_64 -m64'
+
+sed -i -e '/codesign/d' ds9/unix/Makefile.in
+;;
+*)
+echo "Unsupported"
+exit 1
+;;
+esac
+
+unix/configure
+make
+mkdir -p $PREFIX/bin
+cp -a bin/ds9* bin/x* $PREFIX/bin \ No newline at end of file